## org.codehaus.groovy.ast.stmt
Class IfStatement

Field Summary
`BooleanExpression` | `booleanExpression`
`Statement` | `elseBlock`
`Statement` | `ifBlock`

Constructor Summary
`IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getElseBlock()`
`Statement` | `getIfBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### IfStatement

    public IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getElseBlock

    public Statement getElseBlock()

### getIfBlock

    public Statement getIfBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### visit

    public void visit(GroovyCodeVisitor visitor)